Package de.willuhn.jameica.hbci.gui.controller

# Class SepaSammelLastBuchungControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferBuchungControl<SepaSammelLastBuchung>
de.willuhn.jameica.hbci.gui.controller.SepaSammelLastBuchungControl

public class SepaSammelLastBuchungControl extends AbstractSepaSammelTransferBuchungControl<SepaSammelLastBuchung>
Controller fuer den Dialog "Buchung einer SEPA-Sammellastschrift bearbeiten".

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelLastBuchungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`SepaSammelLastBuchung`
`getBuchung()`
Liefert die aktuelle Buchung.
`de.willuhn.jameica.gui.input.Input`
`getCreditorId()`
Liefert das Eingabe-Feld fuer die Glaeubiger-ID.
`AddressInput`
`getEmpfaengerName()`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.
`de.willuhn.jameica.gui.input.Input`
`getMandateId()`
Liefert das Eingabe-Feld fuer die Mandate-ID.
`de.willuhn.jameica.gui.input.Input`
`getSignatureDate()`
Liefert das Eingabe-Feld fuer das Unterschriftsdatum.
`boolean`
`handleStore()`
Ueberschrieben, um die Lastschrift-spezifischen Attribute zu setzen.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferBuchungControl

`getBetrag, getEmpfaengerBic, getEmpfaengerKonto, getEndToEndId, getPurposeCode, getStoreEmpfaenger, getZweck, getZweckPreview, store`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaSammelLastBuchungControl

public SepaSammelLastBuchungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getBuchung

public SepaSammelLastBuchung getBuchung()
Description copied from class: `AbstractSepaSammelTransferBuchungControl`
Liefert die aktuelle Buchung.

Specified by:
  `getBuchung` in class `AbstractSepaSammelTransferBuchungControl<SepaSammelLastBuchung>`
Returns:
  die Buchung.
See Also:
  - `AbstractSepaSammelTransferBuchungControl.getBuchung()`

### getEmpfaengerName

public AddressInput getEmpfaengerName() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.

Overrides:
  `getEmpfaengerName` in class `AbstractSepaSammelTransferBuchungControl<SepaSammelLastBuchung>`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getCreditorId

public de.willuhn.jameica.gui.input.Input getCreditorId() throws RemoteException
Liefert das Eingabe-Feld fuer die Glaeubiger-ID.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getMandateId

public de.willuhn.jameica.gui.input.Input getMandateId() throws RemoteException
Liefert das Eingabe-Feld fuer die Mandate-ID.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getSignatureDate

public de.willuhn.jameica.gui.input.Input getSignatureDate() throws RemoteException
Liefert das Eingabe-Feld fuer das Unterschriftsdatum.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### handleStore

public boolean handleStore()
Ueberschrieben, um die Lastschrift-spezifischen Attribute zu setzen.

Overrides:
  `handleStore` in class `AbstractSepaSammelTransferBuchungControl<SepaSammelLastBuchung>`
Returns:
  true, wenn das Speichern erfolgreich war, sonst false.
See Also:
  - `AbstractSepaSammelTransferBuchungControl.handleStore()`